petsc-3.6.2 2015-10-02
Report Typos and Errors

# TaoComputeConstraints

Compute the variable bounds using the routine set by TaoSetConstraintsRoutine().

### Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoComputeConstraints(Tao tao, Vec X, Vec C)

Collective on Tao

### Input Parameters

tao -the Tao context

### See Also

TaoSetConstraintsRoutine(), TaoComputeJacobian()

Level:developer
Location:src/tao/interface/taosolver_bounds.c
Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages